%define anolis_release 1
Name:           webrtc-audio-processing
Version:        0.3.1
Release:        %{anolis_release}%{?dist}
Summary:        Library for echo cancellation

License:        BSD and MIT
URL:            http://www.freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Source0:        http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: autoconf automake libtool
BuildRequires: gcc gcc-c++

%description
%{name} is a library derived from Google WebRTC project that 
provides echo cancellation functionality. This library is used by for example
PulseAudio to provide echo cancellation.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vif

%configure \
%ifarch aarch64
  --enable-neon=no \
%endif
  --disable-silent-rules \
  --disable-static

%make_build


%install
%make_install

# remove libtool archives
find %{buildroot} -type f -name "*.la" -delete


%ldconfig_scriptlets

%files
%doc NEWS AUTHORS README.md
%license COPYING
%{_libdir}/libwebrtc_audio_processing.so.1*

%files devel
%{_libdir}/libwebrtc_audio_processing.so
%{_libdir}/pkgconfig/webrtc-audio-processing.pc
%{_includedir}/webrtc_audio_processing/


%changelog
* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.3.1-1
- init from upstream
